# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "pna"
version = "0.29.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PNA(Portable-Network-Archive) decoding and encoding library"
readme = "README.md"
keywords = [
    "pna",
    "archive",
    "crypto",
    "data",
]
categories = [
    "data-structures",
    "filesystem",
]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/ChanTsune/Portable-Network-Archive.git"
resolver = "2"

[[package.metadata.release.pre-release-replacements]]
file = "README.md"
search = 'pna = "[0-9]+\.[0-9]+"'
replace = 'pna = "{{version}}"'

[[package.metadata.release.pre-release-replacements]]
file = "src/lib.rs"
search = 'https://docs.rs/pna/[0-9]+\.[0-9]+\.[0-9]+'
replace = "https://docs.rs/pna/{{version}}"

[features]
zlib-ng = ["libpna/zlib-ng"]

[lib]
name = "pna"
path = "src/lib.rs"

[dependencies.libpna]
version = "0.29.1"

[dev-dependencies.version-sync]
version = "0.9.5"
